Create a certificate in Tyk org cert store.
curl --request POST \
--url https://{tenant}/api/certs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>' \
--form file.0='@example-file' \
--form file.1='@example-file'import requests
url = "https://{tenant}/api/certs"
files = {
"file.0": ("example-file", open("example-file", "rb")),
"file.1": ("example-file", open("example-file", "rb"))
}
payload = { "file": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('file.0', '{
"fileName": "example-file"
}');
form.append('file.1', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://{tenant}/api/certs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5e9d9544a1dcd60001d0ed208edce514c2d0a866063550c64d6c90be99d01561ac5aa7e82b8610b7e273d37d",
"message": "Certificate added.",
"status": "ok"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/certs",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not create certificate.Certificate with 5e9d9... ID already exists.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty.",
"Meta": null,
"Status": "Error"
}Certificates
Create a certificate in Tyk org cert store.
Upload new SSL certificate in PEM format (you should upload as a file). If the certificate should have a private key, convert both the public certificate and the associated private key to PEM format and concatenate them to a single file. You can only upload one certificate at a time.
POST
/
api
/
certs
Create a certificate in Tyk org cert store.
Authorizations
The Tyk Dashboard API Access Credentials
Body
multipart/form-data
File containing the certs.
Was this page helpful?
⌘I